<?php
  ///////////////////////////////////////////////////
  // Система учёта посещаемости сайта - PowerCounter
  // 2003-2006 (C) IT-студия SoftTime (http://www.softtime.ru)
  // Поддержка: http://www.softtime.ru/forum/
  // Левин А.В. (loki_angel@mail.ru)
  // Симдянов И.В. (simdyanov@softtime.ru)
  // Кузнецов М.В. (kuznetsov@softtime.ru)
  // Голышев С.В. (softtime@softtime.ru)
  ///////////////////////////////////////////////////
  // 01.05.2005 Симдянов И.В. (simdyanov@softtime.ru)
  // адаптация кода
  ///////////////////////////////////////////////////
  // Выставляем уровень обработки ошибок (http://www.softtime.ru/info/articlephp.php?id_article=23)
  Error_Reporting(E_ALL & ~E_NOTICE); 

  $title = 'Страницы просмотренные с IP адреса';
  $pageinfo = 'На этой странице вы можете видеть страницы просмотренные с IP-адреса.'; 
  $menu = 9;  
  $helppage = '';
  // Включаем массив временных интервалов
  require_once("time_interval.php");
  // Заголовок страницы
  include "topcounter.php";
  $ip = $_GET['ip'];
  if (!isset($_GET['nav'])) $nav=1;
  else $nav=$_GET['nav'];
  if ($nav==0) 
  {
    $hit="count($tbl_ip.id_ip) AS hits,";
    $hit1="GROUP BY $tbl_pages.name ";
  }
  else 
  {
    $hit="";
    $hit1="";
  }
  echo "<a href='pages.php";
  if ($nav==0) print "?nav=1&ip=$ip'>Навигация";
  else print "?nav=0&ip=$ip'>Статистика";
  echo "</a><br><br>";

?>
  <table class="table" width="90%" border="0" cellpadding="0" cellspacing="0"> 
     <tr class="header" align="center"><td>№</td><td>Страница</td>
<? 
  if ($nav==0) print "<td class=headtable>Просмотров</p></td>";
?>
<td>Последнее обращение</td></tr>
<?
  // $begin - число дней, которое необходимо вычесть из текущей даты,
  // для того чтобы получить начальную точку временного интервала
  // $end - число дней, которое необходимо вычесть из текущей даты,
  // для того чтобы получить конечную точку временного интервала
  // $id_page - первичный ключ записи таблицы pages, соответствующей странице сайта
  if(!isset($_GET['begin']) ||
     !isset($_GET['end']))
  {
    $begin = 1;
    $end   = 0;
  }
  else //изменено 11.02.06	 Loki
  {
    $begin = $_GET['begin'];
    $end   = $_GET['end'];
  }

  // Запрос на статистику за временной интервал определяемый
  // параметрами $begin,$end
  if($begin == 0) $tmp2 = "";
  else $tmp2 = " AND $tbl_ip.putdate >= DATE_FORMAT( NOW( ) , '%Y-%m-%d 23:59:59' ) - INTERVAL $begin DAY ";
  $tmp1 = " AND $tbl_ip.putdate < DATE_FORMAT( NOW( ) , '%Y-%m-%d 23:59:59' ) - INTERVAL $end DAY "; 
  
if ($ip=="robot_rambler" || $ip=="robot_yandex" || $ip=="robot_google" || $ip=="robot_aport" || $ip=="robot_msnbot" || $ip=="total" || $ip=="none")
{
 if ($ip=="total")
  $tmp3=" (systems LIKE 'robot_%' OR systems='none') ";
  else
 $tmp3=" systems='$ip' ";
}
else
$tmp3=" $tbl_ip.ip = INET_ATON('$ip') ";

  // Элемент постраничной навигации
  if(empty($_GET['page'])) $page = 1;
  else $page = $_GET['page'];

//постраничная навигация 
$page_link = 3;
$start = ($page - 1)*$pnumber;
if ($nav) 
{
 $query_pages="SELECT count(*) 
                FROM $tbl_ip, $tbl_pages
                WHERE $tbl_ip.id_page = $tbl_pages.id_page AND
                       ".$tmp3.$tmp1.$tmp2."
                       ORDER BY putdate DESC";
}
else
{
 $query_pages="SELECT count(DISTINCT($tbl_pages.id_page)) 
                FROM $tbl_ip, $tbl_pages
                WHERE $tbl_ip.id_page = $tbl_pages.id_page AND
                       ".$tmp3.$tmp1.$tmp2."
                       ORDER BY putdate DESC";}
$num = mysql_query($query_pages);

  if(!$num) puterror("Ошибка при обращении к таблице страниц");
  // Ввыводим ссылки на другие страницы
  $total = mysql_result($num,0);
  $number = (int)($total/$pnumber);
  if((float)($total/$pnumber) - $number != 0) $number++;
  if($page - $page_link > 1)
  {
    echo "<a href=$_SERVER[PHP_SELF]?begin=$begin&end=$end&ip=$ip&id_page=$id_page&page=1&nav=$nav> <nobr>[1-$pnumber]</nobr></a>&nbsp;<em class=currentpage><nobr>&nbsp;...&nbsp;</nobr> </em>&nbsp;";
    // Есть
    for($i = $page - $page_link; $i<$page; $i++)
    {
        echo "&nbsp;<a href=$_SERVER[PHP_SELF]?begin=$begin&end=$end&ip=$ip&id_page=$id_page&page=$i&nav=$nav> <nobr>[".(($i - 1)*$pnumber + 1)."-".$i*$pnumber."]</nobr></a>&nbsp;";
    }
  }
  else
  {
    // Нет
    for($i = 1; $i<$page; $i++)
    {
        echo "&nbsp;<a href=$_SERVER[PHP_SELF]?begin=$begin&end=$end&ip=$ip&id_page=$id_page&page=$i&nav=$nav> <nobr>[".(($i - 1)*$pnumber + 1)."-".$i*$pnumber."]</nobr></a>&nbsp;";
    }
  }
  // Проверяем есть ли ссылки справа
  if($page + $page_link < $number)
  {
    // Есть
    for($i = $page; $i<=$page + $page_link; $i++)
    {
      if($page == $i)
        echo "<em class=currentpage><nobr>&nbsp;[".(($i - 1)*$pnumber + 1)."-".$i*$pnumber."]&nbsp;</nobr> </em>";
      else
        echo "&nbsp;<a href=$_SERVER[PHP_SELF]?begin=$begin&end=$end&ip=$ip&id_page=$id_page&page=$i&nav=$nav> <nobr>[".(($i - 1)*$pnumber + 1)."-".$i*$pnumber."]</nobr></a>&nbsp;";
    }
    echo "<em class=currentpage><nobr>&nbsp;...&nbsp;</nobr> </em>&nbsp;<a href=$_SERVER[PHP_SELF]?begin=$begin&end=$end&ip=$ip&id_page=$id_page&page=$number&nav=$nav> <nobr>[".(($number - 1)*$pnumber + 1)."-$total]</nobr></a>&nbsp;";
  }
  else
  {
    // Нет
    for($i = $page; $i<=$number; $i++)
    {
      if($number == $i)
      {
        if($page == $i)
          echo "<em class=currentpage><nobr>&nbsp;[".(($i - 1)*$pnumber + 1)."-$total]&nbsp;</nobr></em>";
        else
          echo "&nbsp;<a href=$_SERVER[PHP_SELF]?begin=$begin&end=$end&ip=$ip&id_page=$id_page&page=$i&nav=$nav>[".(($i - 1)*$pnumber + 1)."-$total]</a>&nbsp;";
      }
      else
      {
        if($page == $i)
          echo "<em class=currentpage><nobr>&nbsp;[".(($i - 1)*$pnumber + 1)."-".$i*$pnumber."]&nbsp;</nobr> </em>";
        else
          echo "&nbsp;<a href=$_SERVER[PHP_SELF]?begin=$begin&end=$end&ip=$ip&id_page=$id_page&page=$i&&nav=$nav> <nobr>[".(($i - 1)*$pnumber + 1)."-".$i*$pnumber."]</nobr></a>&nbsp;";
      }
    }
  }
  echo "<br>";
  // Конец постраничной навигации

  
  $query_pages="SELECT $tbl_pages.name,
                       $tbl_pages.title AS title,
                       $tbl_pages.id_page, 
                       ".$hit." 
                       $tbl_ip.putdate AS putdate
                FROM $tbl_ip, $tbl_pages
                WHERE $tbl_ip.id_page = $tbl_pages.id_page AND
                       ".$tmp3.$tmp1.$tmp2.$hit1."
                       ORDER BY putdate DESC
							  LIMIT $start, $pnumber"; 
  $pags = mysql_query($query_pages);
  if(!$pags) puterror("Ошибка при обращении к таблице IP-адресов...");
$i=$start+1;
  while($pag = mysql_fetch_array($pags))
  {
    echo "<tr>
	 <td>$i</td>
        <td><a href=hits.php?id_page=".$pag['id_page'].">".$pag['title']."</a></td>"; //изменено 14.02.06 Loki
    if ($nav==0) print "<td>".$pag['hits']."</td>";
    echo "<td>".$pag['putdate']."</td></tr>";
	 $i++;
  }
  ?>
</table>
<? 
 include "bottomcounter.php";   
?>
